//===========================================================================
// Copyright (C) 1998, 2000-2007, 2010, 2011, 2012 SINTEF ICT, Applied
// Mathematics, Norway.
//
// This file is part of GoTools
//
// This program is free software; you can redistribute it and/or          
// modify it under the terms of the GNU General Public License            
// as published by the Free Software Foundation version 2 of the License. 
//
// This program is distributed in the hope that it will be useful,        
// but WITHOUT ANY WARRANTY; without even the implied warranty of         
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          
// GNU General Public License for more details.                           
//
// You should have received a copy of the GNU General Public License      
// along with this program; if not, see <http://www.gnu.org/licenses>
//
// Contact information: E-mail: tor.dokken@sintef.no                      
// SINTEF ICT, Department of Applied Mathematics,                         
// P.O. Box 124 Blindern,                                                 
// 0314 Oslo, Norway.                                                     
//
// Other licenses are also available for this software, notably licenses
// for:
// - Building commercial software.                                        
// - Building software whose source code you wish to keep private.        
//===========================================================================

#include "GoTools/viewlib/CurveResolutionSheet.h"
#include "GoTools/viewlib/ui_CurveResolutionSheet_form.h"

//#include <q3groupbox.h>
#include <QPushButton>
#include <QSlider>
#include <QCheckBox>

using namespace Ui;

//===========================================================================
void CurveResolutionSheet::createSheet(QWidget* parent, gvObserver* obs)
//===========================================================================
{
    obs_ = obs;
    form_ = new Ui::CurveResolutionSheet_form();//parent);

    QDialog* dial = new QDialog();
    form_->setupUi(dial);

    dial->resize(form_->box->size());

    QObject::connect(form_->OkButton, SIGNAL(clicked()),
		     this, SLOT(ok()));
    QObject::connect(form_->CancelButton, SIGNAL(clicked()),
		     dial, SLOT(close()));
    connect(form_->button5000, SIGNAL(clicked()),
	    this, SLOT(setHighRes()));

    form_->ResSlider->setValue(res_);

    dial->show();
}


//===========================================================================
void CurveResolutionSheet::ok()
//===========================================================================
{
    res_ = form_->ResSlider->value();
//     obs_->observedChanged();

    emit return_value(res_);
//     form_->close();
}


//=========================================================================== 
void CurveResolutionSheet::setHighRes()
//===========================================================================
{
    form_->ResSlider->setValue(def_high_res_);

    ok();
}
